function [Y] = cut(filename,t)
%funkce na rozkouskovani zvuku do trenovaci,testovaci matice
[x, fs] = audioread(filename); %nacteni vzorku
x = x(:,1); %ze sterea mono
samples = fs*(t); %pocet vzorku na sloupec p?id x milisekund a fvz (radky)
sloupce = length(x)/samples; %pocet sloupcu
sloupce = floor(sloupce); %zaokrouhleni poctu sloupcu smerem dolu
x_plus = zeros (sloupce*samples,1); %vytvoreni prazdneho vektoru o spravne velikosti pro vysledne rozsekani
x_plus(1:(sloupce*samples)) = x(1:(sloupce*samples)); %ulozeni do hodnot do vektoru
x = x_plus;
Y = zeros (samples,sloupce); %vytvoreni prazden matice o vysledne velikosti
for i = 1:sloupce
    podVyber = x(((i*samples+1) - samples):(samples*i));
    Y(:,i)=podVyber;
end
end
